<!-- views/password-reset.html -->
<!DOCTYPE html>
<html>
<head>
  <title>Password Reset</title>
</head>
<body style="flex:1;align-items: center;">
  <h1>Password Reset</h1>
  
  <p id="message"></p>
  
  <!-- <form id="reset-form"  method="post">
    <input type="hidden" name="token" id="token" value="">
    <label for="password">New Password</label>
    <input type="password" name="password" id="password" required>
    <label for="confirmPassword">Confirm Password</label>
    <input type="password" name="confirmPassword" id="confirmPassword" required>
    <button type="submit">Reset Password</button>
  </form> -->
  <form class="form">
 
     <div class="input-container">
       <input type="email" placeholder="Enter email">
       <span>
       </span>
   </div>
    <button type="submit" class="submit">
      Reset Password
   </button>
</form>
  
  <script>
    // You will need to use JavaScript to display the message from the server response.
    const message = document.getElementById('message');
    const token = document.getElementById('token').value;
    const resetForm = document.getElementById('reset-form');
    
    // Check if the token is set and display the message accordingly
    if (token) {
      message.textContent = 'Password reset requested. Please enter your new password.';
    } else {
      message.textContent = 'Invalid or expired reset token. Please request a new password reset link.';
      resetForm.style.display = 'none';
    }
  </script>
</body>
</html>
